RDKit: ChemicalFeatures::FreeChemicalFeature Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ChemicalFeatures::FreeChemicalFeature Class Reference

`#include <FreeChemicalFeature.h>`

Inheritance diagram for ChemicalFeatures::FreeChemicalFeature:

## Public Member Functions
| FreeChemicalFeature (std::string family, std::string type, const RDGeom::Point3D &loc, int id=-1)
| start with everything specified
| FreeChemicalFeature (std::string family, const RDGeom::Point3D &loc)
| start with family and location specified, leave the type blank
| FreeChemicalFeature ()
| start with everything blank
| FreeChemicalFeature (const std::string &pickle)
| FreeChemicalFeature (const FreeChemicalFeature &other)
| ~FreeChemicalFeature () override=default
int | getId () const override
| return our id
const std::string & | getFamily () const override
| return our family
const std::string & | getType () const override
| return our type
RDGeom::Point3D | getPos () const override
| return our position
void | setId (const int id)
| set our id
void | setFamily (const std::string &family)
| set our family
void | setType (const std::string &type)
| set our type
void | setPos (const RDGeom::Point3D &loc)
| set our position
std::string | toString () const
| returns a serialized form of the feature (a pickle)
void | initFromString (const std::string &pickle)
| initialize from a pickle string
Public Member Functions inherited from ChemicalFeatures::ChemicalFeature
| ChemicalFeature ()
virtual | ~ChemicalFeature ()

## Detailed Description

Class for chemical features that do not originate from molecules e.g. pharmacophores, site-maps etc.

Definition at line 24 of file FreeChemicalFeature.h.

## Constructor & Destructor Documentation

## ◆ FreeChemicalFeature() [1/5]

ChemicalFeatures::FreeChemicalFeature::FreeChemicalFeature | ( | std::string | family,
|  | std::string | type,
|  | const RDGeom::Point3D & | loc,
|  | int | id = -1 )
| inline

start with everything specified

Definition at line 28 of file FreeChemicalFeature.h.

Referenced by FreeChemicalFeature().

## ◆ FreeChemicalFeature() [2/5]

ChemicalFeatures::FreeChemicalFeature::FreeChemicalFeature | ( | std::string | family,
|  | const RDGeom::Point3D & | loc )
| inline

start with family and location specified, leave the type blank

Definition at line 36 of file FreeChemicalFeature.h.

## ◆ FreeChemicalFeature() [3/5]

ChemicalFeatures::FreeChemicalFeature::FreeChemicalFeature | ( |  | ) |
| inline

start with everything blank

Definition at line 40 of file FreeChemicalFeature.h.

## ◆ FreeChemicalFeature() [4/5]

ChemicalFeatures::FreeChemicalFeature::FreeChemicalFeature | ( | const std::string & | pickle | ) |
| inlineexplicit

Definition at line 43 of file FreeChemicalFeature.h.

References initFromString().

## ◆ FreeChemicalFeature() [5/5]

ChemicalFeatures::FreeChemicalFeature::FreeChemicalFeature | ( | const FreeChemicalFeature & | other | ) |
| inline

Definition at line 47 of file FreeChemicalFeature.h.

References FreeChemicalFeature(), getFamily(), getId(), getPos(), and getType().

## ◆ ~FreeChemicalFeature()

ChemicalFeatures::FreeChemicalFeature::~FreeChemicalFeature | ( |  | ) |
| overridedefault

## Member Function Documentation

## ◆ getFamily()

const std::string & ChemicalFeatures::FreeChemicalFeature::getFamily | ( |  | ) | const
| inlineoverridevirtual

return our family

Implements ChemicalFeatures::ChemicalFeature.

Definition at line 59 of file FreeChemicalFeature.h.

Referenced by FreeChemicalFeature().

## ◆ getId()

int ChemicalFeatures::FreeChemicalFeature::getId | ( |  | ) | const
| inlineoverridevirtual

return our id

Implements ChemicalFeatures::ChemicalFeature.

Definition at line 56 of file FreeChemicalFeature.h.

Referenced by FreeChemicalFeature().

## ◆ getPos()

RDGeom::Point3D ChemicalFeatures::FreeChemicalFeature::getPos | ( |  | ) | const
| inlineoverridevirtual

return our position

Implements ChemicalFeatures::ChemicalFeature.

Definition at line 65 of file FreeChemicalFeature.h.

Referenced by FreeChemicalFeature().

## ◆ getType()

const std::string & ChemicalFeatures::FreeChemicalFeature::getType | ( |  | ) | const
| inlineoverridevirtual

return our type

Implements ChemicalFeatures::ChemicalFeature.

Definition at line 62 of file FreeChemicalFeature.h.

Referenced by FreeChemicalFeature().

## ◆ initFromString()

void ChemicalFeatures::FreeChemicalFeature::initFromString | ( | const std::string & | pickle | ) |

initialize from a pickle string

Referenced by FreeChemicalFeature().

## ◆ setFamily()

void ChemicalFeatures::FreeChemicalFeature::setFamily | ( | const std::string & | family | ) |
| inline

set our family

Definition at line 71 of file FreeChemicalFeature.h.

## ◆ setId()

void ChemicalFeatures::FreeChemicalFeature::setId | ( | const int | id | ) |
| inline

set our id

Definition at line 68 of file FreeChemicalFeature.h.

## ◆ setPos()

void ChemicalFeatures::FreeChemicalFeature::setPos | ( | const RDGeom::Point3D & | loc | ) |
| inline

set our position

Definition at line 77 of file FreeChemicalFeature.h.

## ◆ setType()

void ChemicalFeatures::FreeChemicalFeature::setType | ( | const std::string & | type | ) |
| inline

set our type

Definition at line 74 of file FreeChemicalFeature.h.

## ◆ toString()

std::string ChemicalFeatures::FreeChemicalFeature::toString | ( |  | ) | const

returns a serialized form of the feature (a pickle)

The documentation for this class was generated from the following file:

- FreeChemicalFeature.h